PUT Update a service
Update a specific service
You can update any of the params in a service by calling this endpoint. A successful update returns 204 No Content with an empty body.
Endpoint
PUT https://api.timekit.io/v2/location/services/:id
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
name |
body | string | name of the service | ||
description |
body | string | description of the given service | ||
locations |
body | array_string | full list of location ids that offer this service. Replaces the existing list (see the warning above) | ||
meta |
body | array_object | false | key value pair meta you want to attach to this service | |
id |
path | string | |||
availability |
body | object | availability parameters for this service. Only length, from, to and buffer are stored |
Request examples
curlcurl --request PUT \
--url https://api.timekit.io/v2/location/services/ad507655-5b89-420b-9b3e-9491f606e1e3 \
--header 'Content-Type: application/json' \
--user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
--data '{
"name": "Hair Cut Service",
"description": "Whatever works best for you!!",
"locations": ["1e1ea71e-5908-45d0-8099-bf7afadc59dd"]
}'